# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "cairo-format"
version = "2.19.0-rc.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Cairo formatter executable for the Cairo programming language"
readme = false
license-file = "LICENSE"
repository = "https://github.com/starkware-libs/cairo/"
resolver = "2"

[features]
mimalloc = ["dep:mimalloc"]

[[bin]]
name = "cairo-format"
path = "src/main.rs"

[dependencies.cairo-lang-formatter]
version = "=2.19.0-rc.3"

[dependencies.cairo-lang-utils]
version = "=2.19.0-rc.3"
features = ["tracing"]

[dependencies.clap]
version = "4.5.42"
features = ["derive"]

[dependencies.colored]
version = "3.0.0"

[dependencies.ignore]
version = "0.4.23"

[dependencies.log]
version = "0.4.27"

[dependencies.mimalloc]
version = "0.1.48"
optional = true

[dependencies.tracing]
version = "0.1.40"
